// pagesSquare/components/survey-box/survey-box.js
const util = require('../../utils/util')

Component({

    /**
     * 组件的属性列表
     */
    properties: {
        duckProphet: {
            type: Object,
            observer(res) {
                if (JSON.stringify(res) == "{}") return
                res['latestdate'] = util.timeformat(res['latestdate'], 6)
                res['earliestdate'] = util.timeformat(res['earliestdate'], 6)
                console.log("res", res);
                this.setData({
                    duckProphet: res || {}
                })
            }
        },
        newest: {
            type: String,
            observer(res) {
                if (!res) return
                this.setData({
                    newest: res.toLocaleUpperCase()
                })
            }
        }
    },

    /**
     * 组件的初始数据
     */
    data: {

    },

    /**
     * 组件的方法列表
     */
    methods: {

    }
})